Skip to main content
POST
/
v1
/
transactions
/
utxos
Get UTXOs by references
curl --request POST \
  --url https://nexus-dev.gerowallet.io/v1/transactions/utxos \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "txHash": "8f83b73e8e7f4b7d8f9c2e8f83b73e8e7f4b7d8f9c2e8f83b73e8e7f4b7d8f9c",
    "outputIndex": 0
  }
]
'
{
  "collateral": true,
  "reference": true,
  "tx_hash": "<string>",
  "output_index": 123,
  "owner_addr": "<string>",
  "owner_stake_addr": "<string>",
  "owner_payment_credential": "<string>",
  "owner_stake_credential": "<string>",
  "amounts": [
    {
      "unit": "<string>",
      "quantity": "<string>",
      "policy_id": "<string>",
      "asset_name": "<string>"
    }
  ],
  "lovelace_amount": 123,
  "data_hash": "<string>",
  "inline_datum": "<string>",
  "inline_datum_json": {},
  "reference_script_hash": "<string>",
  "script_ref": "<string>",
  "block_number": 123,
  "block_time": 123,
  "slot": 123,
  "block_hash": "<string>",
  "epoch": 123,
  "consumed_by_tx": "<string>",
  "is_collateral_return": true
}

Documentation Index

Fetch the complete documentation index at: https://nexus.gerowallet.io/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Token Authentication

Query Parameters

network
enum<string>
Available options:
MAINNET,
PREPROD

Body

application/json
txHash
string
required

Transaction hash containing the UTXO

Required string length: 64
Pattern: ^[a-fA-F0-9]{64}$
Example:

"8f83b73e8e7f4b7d8f9c2e8f83b73e8e7f4b7d8f9c2e8f83b73e8e7f4b7d8f9c"

outputIndex
integer<int32>
required

Output index within the transaction (0-based)

Required range: x >= 0
Example:

0

Response

OK

collateral
boolean
reference
boolean
tx_hash
string
output_index
integer<int32>
owner_addr
string
owner_stake_addr
string
owner_payment_credential
string
owner_stake_credential
string
amounts
object[]
lovelace_amount
integer<int64>
data_hash
string
inline_datum
string
inline_datum_json
object
reference_script_hash
string
script_ref
string
block_number
integer<int64>
block_time
integer<int64>
slot
integer<int64>
block_hash
string
epoch
integer<int32>
consumed_by_tx
string
is_collateral_return
boolean